package cn.wustlinghang.wusthelper.internal.graduate;

import io.quarkus.runtime.Startup;
import jakarta.annotation.PostConstruct;
import jakarta.inject.Singleton;
import lombok.extern.slf4j.Slf4j;
import org.eclipse.microprofile.config.inject.ConfigProperties;
import org.eclipse.microprofile.config.inject.ConfigProperty;

@Slf4j
@Startup
@Singleton
public class Main {
    @ConfigProperty(name = "ocr.service.provider", defaultValue = "http://localhost:12800")
    String ocrUrl;

    @PostConstruct
    public void run() {
        log.info("Graduate service started. Using '{}' for login OCR service provider.", ocrUrl);
    }
}
