package cn.wustlinghang.wusthelper.internal.library.api.http.handler;

import cn.wustlinghang.mywust.exception.ParseException;
import cn.wustlinghang.wusthelper.rpc.response.ResponseCode;
import jakarta.ws.rs.core.Response;
import jakarta.ws.rs.ext.ExceptionMapper;
import jakarta.ws.rs.ext.Provider;
import lombok.extern.slf4j.Slf4j;

@Slf4j
@Provider
public class ParseExceptionHandler extends BaseExceptionHandler implements ExceptionMapper<ParseException> {
    @Override
    public Response toResponse(ParseException e) {
        log.error("解析异常：", e);
        return super.toResponse(
                ResponseCode.SERVER_INTERNAL_ERROR,
                e.toString(),
                "ParseExceptionHandler"
        );
    }
}
