package cn.wustlinghang.wusthelper.internal.library.api.http.handler;

import cn.wustlinghang.wusthelper.rpc.response.ResponseCode;
import jakarta.validation.ValidationException;
import jakarta.ws.rs.core.Response;
import jakarta.ws.rs.ext.ExceptionMapper;
import jakarta.ws.rs.ext.Provider;
import lombok.extern.slf4j.Slf4j;

@Slf4j
@Provider
public class ValidationExceptionHandler extends BaseExceptionHandler
        implements ExceptionMapper<ValidationException> {
    @Override
    public Response toResponse(ValidationException e) {
        return super.toResponse(
                ResponseCode.PARAM_WRONG,
                "参数错误：" + e.toString(),
                "ValidationExceptionHandler"
        );
    }
}
